Wrong window moves

Bug #741656 reported by Ralph Green on 2011-03-24
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Unity
Fix Released
High
Sam Spilsbury
compiz-plugins-main (Ubuntu)
High
Sam Spilsbury
unity (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: compiz

Using Natty daily build from March 16 with all updates applied as of March 24. I uninstalled Unity and added gnome. I also killed the Indicator applet to get rid of the global menus. Then, I launch a program. Now, I launch a second program. I grab the window of the second program to move the window. The window of the first program moves, instead.

On Thu, Mar 24, 2011 at 8:10 PM, Ralph Green <email address hidden> wrote:
> Public bug reported:
>
> Binary package hint: compiz
>
> Using Natty daily build from March 16 with all updates applied as of
> March 24.  I uninstalled Unity and added gnome.  I also killed the
> Indicator applet to get rid of the global menus.  Then, I launch a
> program.  Now, I launch a second program.  I grab the window of the
> second program to move the window.  The window of the first program
> moves, instead.

This will happen if somehow the GTK window decorator gets launched in
2D Mode. Since 2D mode is not supported on Ubuntu, I think it is best
to just distro patch here to explicitly disable it

>
> ** Affects: compiz (Ubuntu)
>     Importance: Undecided
>         Status: New
>
> --
> You received this bug notification because you are a member of compiz
> packagers, which is subscribed to compiz in Ubuntu.
> https://bugs.launchpad.net/bugs/741656
>
> Title:
>  Wrong window moves
>
> _______________________________________________
> Mailing list: https://launchpad.net/~compiz
> Post to     : <email address hidden>
> Unsubscribe : https://launchpad.net/~compiz
> More help   : https://help.launchpad.net/ListHelp
>

--
Sam Spilsbury

Changed in compiz (Ubuntu):
status: New → In Progress
importance: Undecided → High
assignee: nobody → Sam "SmSpillaz" Spilsbury (smspillaz)
milestone: none → ubuntu-11.04-beta-1
Changed in unity:
milestone: none → 3.8
status: New → In Progress
importance: Undecided → High
Didier Roche (didrocks) on 2011-03-25
Changed in unity (Ubuntu):
status: New → In Progress
Didier Roche (didrocks) on 2011-03-28
Changed in unity:
milestone: 3.8 → 3.8.2
Changed in unity:
status: In Progress → Fix Committed
Changed in compiz (Ubuntu):
status: In Progress → Fix Committed
Changed in unity (Ubuntu):
status: In Progress → Fix Committed
Changed in unity:
assignee: nobody → Sam "SmSpillaz" Spilsbury (smspillaz)
Didier Roche (didrocks) on 2011-04-01
Changed in unity:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (5.9 KiB)

This bug was fixed in the package unity - 3.8.2-0ubuntu1

---------------
unity (3.8.2-0ubuntu1) natty; urgency=low

  * New upstream release.
    - compiz crashed with SIGSEGV in std::_List_node_base::_M_hook()
      (LP: #711916)
    - New window tracking system breaks in the case where windows try to
      restack relative to destroyed windows that were never mapped
      (LP: #723014)
    - does not display icons until hovered (LP: #726033)
    - Unity Launcher has black spaces where icons should be (LP: #729353)
    - compiz crashed with SIGSEGV in sigc::internal::signal_emit0<void,
      sigc::nil>::emit() (LP: #729715)
    - compiz crashed with SIGSEGV in SimpleLauncherIcon::OnIconThemeChanged()
      (LP: #741652)
    - compiz crashed with SIGSEGV in free() (LP: #738864)
    - compiz crashed with SIGSEGV in g_closure_invoke() (LP: #741674)
    - compiz crashed with SIGSEGV in free() (LP: #742300)
    - Unity can't get touch the touch initialization signals from GEIS
      (LP: #742555)
    - Windows that reparent away from the root before they are mapped can
      cause other windows to become invisible (and compiz to crash)
      (LP: #743011)
    - compiz crashed with SIGSEGV in gdk_cairo_set_source_pixbuf()
      (LP: #744231)
    - [dash] Keyboard navigation not implemented as specified (LP: #608132)
    - xterms broken in unity (LP: #692463)
    - Unity opens application menu on Alt+F10 shortcut (LP: #722674)
    - First four items in Dash begin "Find" "Find" "Find" "Find" (LP: #729002)
    - Increase the size of the top left Launcher reveal area from 1px to a
      slightly larger triangle that comes out of the top left corner
      (LP: #736034)
    - Add a test case for invisible windows regressions (LP: #736876)
    - Re-sync with xquerytree to avoid stacking order issues (LP: #740465)
    - Keyboard navigation: quicklist not opening for Trash launcher item
      (LP: #741793)
    - Wrong window moves (LP: #741656)
    - compiz crashed with SIGSEGV in
      SimpleLauncherIcon::ActivateLauncherIcon() (LP: #742110)
    - Combo in the search bar did not disappear after the places was closed
      (LP: #742712)
    - Expo doesn't quit reliably when using keynav or shortcut (LP: #744196)
    - Make the BFB icon turn blue when an application goes urgent
      (LP: #744973)
    - Launcher - increase "launcher reveal %" for 'Fade and slide' launcher
      reveal transition to 65% (LP: #745602)
    - Arrows do not fade out with rest of launcher durring DND (LP: #746811)
    - Don't create windows over the launcher (LP: #688816)
    - Launcher - Indicate which application is currently focused with a
      glowing Launcher icon (LP: #676604)
    - Unity Grid is broken for multi-monitor setups (LP: #709221)
    - dynamic quicklists are not working (LP: #729074)
    - When windows open for the first time they should not hide the launcher
      (LP: #723878)
    - it is still possible to quit unity from the panel (LP: #733725)
    - Selection does not fit small icons in Unity Dash (LP: #735746)
    - Unmounting media gives no error when failed (LP: #737633)
    - ATI/fglrx workaround patch (LP: #740298)
    - "Files & Folders" tooltip say...

Read more...

Changed in unity (Ubuntu):
status: Fix Committed → Fix Released
Didier Roche (didrocks) on 2011-04-04
Changed in unity:
milestone: 3.8.2 → 3.8.4
status: Fix Released → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package compiz - 1:0.9.4+bzr20110406-0ubuntu1

---------------
compiz (1:0.9.4+bzr20110406-0ubuntu1) natty; urgency=low

  * new upstream bzr tarball:
    - display/size problems with xterm (LP: #748137)
    - fix crashes on tcl/tk applications (LP: #741074, #747439)
    - fix grab on compose keys (LP: #747323)
    - resync stack at regular interval to avoid invisible windows
      (LP: #723014, #743011, #736876, #740465, #684590)
    - fix weird order in alt + tab (LP: #175874)
    - fix crash in gitk (LP: #743011, #741074)
    - avoid compiz detection by fglrx driver (LP: #740298)
    - Wrong window moves (LP: #741656, #743634)
    - Unity Grid is broken for multi-monitor setups (LP: #709221)
    - Feature Freeze Exception: Animation for Grid Plugin Previews (LP: #744104)
    - unity-window-decorator crashed with SIGSEGV in gdk_window_get_events()
      (LP: #725284)
    - fix xterm (LP: #692463)
    - start the decorator on a secondary screen (LP: #730495)
  * debian/patches/090_git_fix_new_invisible_windows.patch,
    debian/patches/100_bump_core.h.patch:
    - upstreamed
  * debian/patches/01_unity_window_decorator.patch
    debian/patches/085_add_grid_plugin.patch:
    - in bzr upstream tarball
 -- Didier Roche <email address hidden> Wed, 06 Apr 2011 19:37:45 +0200

Changed in compiz (Ubuntu):
status: Fix Committed → Fix Released
Didier Roche (didrocks) on 2011-04-07
affects: compiz (Ubuntu) → compiz-plugins-main (Ubuntu)
Changed in compiz-plugins-main (Ubuntu):
milestone: ubuntu-11.04-beta-1 → none
status: Fix Released → Triaged
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package compiz-plugins-main - 0.9.4+bzr20110406-0ubuntu1

---------------
compiz-plugins-main (0.9.4+bzr20110406-0ubuntu1) natty; urgency=low

  * New upstream snapshot:
    - Wall of desktop move wrong window (LP: #743634)
    - Wrong window moves (LP: #741656)
  * 03_default_options.patch:
    Enforce switcher 'bring to front' to none to avoid seeing the launcher
    while doing ALT-Tab (LP: #750283)
 -- Didier Roche <email address hidden> Thu, 07 Apr 2011 14:21:07 +0200

Changed in compiz-plugins-main (Ubuntu):
status: Triaged → Fix Released
Didier Roche (didrocks) on 2011-04-07
Changed in unity:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers